{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.eSet(ILjava/lang/Object;)V",
  "numberOfDefinitions": 5,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.getGeneralOrderings()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.setEnclosingInteraction(Lorg/eclipse/uml2/uml/Interaction;)V": 5,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 4,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 2,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseAdd(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setName(Ljava/lang/String;)V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.setEnclosingOperand(Lorg/eclipse/uml2/uml/InteractionOperand;)V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicSet(ILjava/lang/Object;)V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.getCovereds()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IIZZ)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setVisibility(Lorg/eclipse/uml2/uml/VisibilityKind;)V": 5,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1
  }
}